UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
com.latencybusters.lbm.LBMEventQueueStatistics Class Reference

UM event queue statistics. These are statistics for messages and other events that enter and exit the event queue. NOTE: Specific count-enable options must sometimes be enabled for these statistics to populate. More...

Inheritance diagram for com.latencybusters.lbm.LBMEventQueueStatistics:

## Public Member Functions
| LBMEventQueueStatistics ()
| Instantiate an empty object containing no statistics.
| LBMEventQueueStatistics (LBMEventQueue lbmevq)
| Instantiate an object containing the current set of statistics for a given event queue. More...
unsafe void | refresh (LBMEventQueue lbmevq)
| Refresh the current set of statistics using the given event queue. More...
long | dataMessages ()
| Number of data messages currently in the event queue. More...
long | dataMessagesTotal ()
| Total number of data messages enqueued since last reset. More...
long | dataMessagesMinimumServiceTime ()
| Minimum service time for data messages (in microseconds). More...
long | dataMessagesMeanServiceTime ()
| Mean service time for data messages (in microseconds). More...
long | dataMessagesMaximumServiceTime ()
| Maximum service time for data messages (in microseconds). More...
long | responseMessages ()
| Number of response messages currently enqueued. More...
long | responseMessagesTotal ()
| Total number of response messages enqueued since last reset. More...
long | responseMessagesMinimumServiceTime ()
| Minimum service time for response messages (in microseconds). More...
long | responseMessagesMeanServiceTime ()
| Mean service time for response messages (in microseconds). More...
long | responseMessagesMaximumServiceTime ()
| Maximum service time for response messages (in microseconds). More...
long | topiclessImmediateMessages ()
| Number of topic-less immediate messages currently enqueued. More...
long | topiclessImmediateMessagesTotal ()
| Total number of topic-less immediate messages enqueued since last reset. More...
long | topiclessImmediateMessagesMinimumServiceTime ()
| Minimum service time for topic-less immediate messages (in microseconds). More...
long | topiclessImmediateMessagesMeanServiceTime ()
| Mean service time for topic-less immediate messages (in microseconds). More...
long | topiclessImmediateMessagesMaximumServiceTime ()
| Maximum service time for topic-less immediate messages (in microseconds). More...
long | wildcardReceiverMessages ()
| Number of wildcard receiver messages currently enqueued. More...
long | wildcardReceiverMessagesTotal ()
| Total number of wildcard receiver messages enqueued since last reset. More...
long | wildcardReceiverMessagesMinimumServiceTime ()
| Minimum service time for wildcard receiver messages (in microseconds). More...
long | wildcardReceiverMessagesMeanServiceTime ()
| Mean service time for wildcard receiver messages (in microseconds). More...
long | wildcardReceiverMessagesMaximumServiceTime ()
| Maximum service time for wildcard receiver messages (in microseconds). More...
long | ioEvents ()
| Number of I/O events currently enqueued. More...
long | ioEventsTotal ()
| Total number of I/O events enqueued since last reset. More...
long | ioEventsMinimumServiceTime ()
| Minimum service time for I/O events (in microseconds). More...
long | ioEventsMeanServiceTime ()
| Mean service time for I/O events (in microseconds). More...
long | ioEventsMaximumServiceTime ()
| Maximum service time for I/O events (in microseconds). More...
long | timerEvents ()
| Number of timer events currently enqueued. More...
long | timerEventsTotal ()
| Total number of timer events enqueued since last reset. More...
long | timerEventsMinimumServiceTime ()
| Minimum service time for timer events (in microseconds). More...
long | timerEventsMeanServiceTime ()
| Mean service time for timer events (in microseconds). More...
long | timerEventsMaximumServiceTime ()
| Maximum service time for timer events (in microseconds). More...
long | sourceEvents ()
| Number of source events currently enqueued. More...
long | sourceEventsTotal ()
| Total number of source events enqueued since last reset. More...
long | sourceEventsMinimumServiceTime ()
| Minimum service time for source events (in microseconds). More...
long | sourceEventsMeanServiceTime ()
| Mean service time for source events (in microseconds). More...
long | sourceEventsMaximumServiceTime ()
| Maximum service time for source events (in microseconds). More...
long | unblockEvents ()
| Number of unblock events currently enqueued. More...
long | unblockEventsTotal ()
| Total number of unblock events enqueued since last reset. More...
long | cancelEvents ()
| Number of cancel events currently enqueued. More...
long | cancelEventsTotal ()
| Total number of cancel events enqueued since last reset. More...
long | cancelEventsMinimumServiceTime ()
| Minimum service time for cancel events (in microseconds). More...
long | cancelEventsMeanServiceTime ()
| Mean service time for cancel events (in microseconds). More...
long | cancelEventsMaximumServiceTime ()
| Maximum service time for cancel events (in microseconds). More...
long | callbackEvents ()
| Number of callback events currently enqueued. More...
long | callbackEventsTotal ()
| Total number of callback events enqueued since last reset. More...
long | callbackEventsMinimumServiceTime ()
| Minimum service time for callback events (in microseconds). More...
long | callbackEventsMeanServiceTime ()
| Mean service time for callback events (in microseconds). More...
long | callbackEventsMaximumServiceTime ()
| Maximum service time for callback events (in microseconds). More...
long | contextSourceEvents ()
| Number of context source events currently enqueued. More...
long | contextSourceEventsTotal ()
| Total number of context source events enqueued since last reset. More...
long | contextSourceEventsMinimumServiceTime ()
| Minimum service time for context source events (in microseconds). More...
long | contextSourceEventsMeanServiceTime ()
| Mean service time for context source events (in microseconds). More...
long | contextSourceEventsMaximumServiceTime ()
| Maximum service time for context source events (in microseconds). More...
long | events ()
| Number of events currently enqueued. More...
long | eventsTotal ()
| Total number of events enqueued since last reset. More...
long | minimumAge ()
| Minimum age of event queue entry when dequeued (in microseconds). More...
long | meanAge ()
| Mean age of event queue entry when dequeued (in microseconds). More...
long | maximumAge ()
| Maximum age of event queue entry when dequeued (in microseconds). More...
void | Dispose ()
| Free memory associated with this set of statistics.
void | dispose ()
| Free memory associated with this set of statistics (same as Dispose()). More...
string | getApplicationSourceId ()
| Retrieve the application source identifier associated with this set of statistics. More...
IPAddress | getSender ()
| Retrieve the IP sender address associated with this set of statistics. More...
DateTime | getTimestamp ()
| Retrieve the timestamp associated with this set of statistics. More...
long | getProcessId ()
| Retrieve the sender process ID associated with this set of statistics. More...
long | getContextId ()
| Retrieve the sender context ID associated with this set of statistics. More...
long | getObjectId ()
| Retrieve the sender object ID associated with this set of statistics. More...
long | getSource ()
| Retrieve the source attribute from the statistics attribute block associated with this set of statistics. More...

## Detailed Description

UM event queue statistics. These are statistics for messages and other events that enter and exit the event queue. NOTE: Specific count-enable options must sometimes be enabled for these statistics to populate.

This object provides user monitoring with access to statistics of an application being monitored. The user monitoring code can be part of the application being monitored (i.e. the application can be "self-monitoring"), or the monitoring code can be remote, using the lbmmon infrastructure to deliver statistics. Note that when stats are sampled, the fields in the structure are not necessarily from the same instant in time. The structure might be updated concurrently with it being sampled, and while each structure field is atomically read, the field values can be skewed slightly across time.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMEventQueueStatistics.LBMEventQueueStatistics | ( | LBMEventQueue | lbmevq | ) |

Instantiate an object containing the current set of statistics for a given event queue.

Parameters

  lbmevq | LBMEventQueue object to load statistics from.

## Member Function Documentation

long com.latencybusters.lbm.LBMEventQueueStatistics.callbackEvents | ( |  | ) |

Number of callback events currently enqueued.

Returns
  Number of callback events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsMaximumServiceTime | ( |  | ) |

Maximum service time for callback events (in microseconds).

Returns
  Maximum service time for callback events (in microseconds). This is the high-water mark (i.e., the longest so far) for callback event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsMeanServiceTime | ( |  | ) |

Mean service time for callback events (in microseconds).

Returns
  Mean service time for callback events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated callback event service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsMinimumServiceTime | ( |  | ) |

Minimum service time for callback events (in microseconds).

Returns
  Minimum service time for callback events (in microseconds). This is the low-water mark (i.e., the shortest so far) for callback event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated. This field is initialized to all 1s (-1 if printed signed).

long com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsTotal | ( |  | ) |

Total number of callback events enqueued since last reset.

Returns
  Total accumulated number of callback events that have been added to the event queue even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.cancelEvents | ( |  | ) |

Number of cancel events currently enqueued.

Returns
  Number of cancel events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsMaximumServiceTime | ( |  | ) |

Maximum service time for cancel events (in microseconds).

Returns
  Maximum service time for cancel events. Cancel events as seen by the event queue do not actually consume service time, so we do not recommend the general use of this counter.

long com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsMeanServiceTime | ( |  | ) |

Mean service time for cancel events (in microseconds).

Returns
  Mean service time for cancel events. Cancel events as seen by the event queue do not actually consume service time, so we do not recommend the general use of this counter.

long com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsMinimumServiceTime | ( |  | ) |

Minimum service time for cancel events (in microseconds).

Returns
  Minimum service time for cancel events. Cancel events as seen by the event queue do not actually consume service time, so we do not recommend the general use of this counter. This field is initialized to all 1s (-1 if printed signed).

long com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsTotal | ( |  | ) |

Total number of cancel events enqueued since last reset.

Returns
  Total accumulated number of cancel events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEvents | ( |  | ) |

Number of context source events currently enqueued.

Returns
  Number of context source events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsMaximumServiceTime | ( |  | ) |

Maximum service time for context source events (in microseconds).

Returns
  Maximum service time for context source events (in microseconds). This is the high-water mark (i.e., the longest so far) for context source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsMeanServiceTime | ( |  | ) |

Mean service time for context source events (in microseconds).

Returns
  Mean service time for context source events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated context source event service durations, measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsMinimumServiceTime | ( |  | ) |

Minimum service time for context source events (in microseconds).

Returns
  Minimum service time for context source events (in microseconds). This is the low-water mark (i.e., the shortest so far) for context source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated. This field is initialized to all 1s (-1 if printed signed).

long com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsTotal | ( |  | ) |

Total number of context source events enqueued since last reset.

Returns
  Total accumulated number of context source events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.dataMessages | ( |  | ) |

Number of data messages currently in the event queue.

Returns
  Number of data messages currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesMaximumServiceTime | ( |  | ) |

Maximum service time for data messages (in microseconds).

Returns
  Maximum service time for data messages (in microseconds). This is the high-water mark (i.e., the longest so far) for data message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesMeanServiceTime | ( |  | ) |

Mean service time for data messages (in microseconds).

Returns
  Mean service time for data messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated data message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesMinimumServiceTime | ( |  | ) |

Minimum service time for data messages (in microseconds).

Returns
  Minimum service time for data messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for data message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated. This field is initialized to all 1s (-1 if printed signed).

long com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesTotal | ( |  | ) |

Total number of data messages enqueued since last reset.

Returns
  Total accumulated number of data messages that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

void com.latencybusters.lbm.LBMEventQueueStatistics.dispose | ( |  | ) |

Free memory associated with this set of statistics (same as Dispose()).

See also
  Dispose

Referenced by com.latencybusters.lbm.LBMObjectRecycler.close().

long com.latencybusters.lbm.LBMEventQueueStatistics.events | ( |  | ) |

Number of events currently enqueued.

Returns
  Total number of events (including messages) currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.eventsTotal | ( |  | ) |

Total number of events enqueued since last reset.

Returns
  Total accumulated number of events (including messages) that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

string com.latencybusters.lbm.LBMStatistics.getApplicationSourceId | ( |  | ) |
| inherited

Retrieve the application source identifier associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Application source ID

long com.latencybusters.lbm.LBMStatistics.getContextId | ( |  | ) |
| inherited

Retrieve the sender context ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Sender context ID

long com.latencybusters.lbm.LBMStatistics.getObjectId | ( |  | ) |
| inherited

Retrieve the sender object ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Sender object ID

long com.latencybusters.lbm.LBMStatistics.getProcessId | ( |  | ) |
| inherited

Retrieve the sender process ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Sender process ID

IPAddress com.latencybusters.lbm.LBMStatistics.getSender | ( |  | ) |
| inherited

Retrieve the IP sender address associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  IPAddress object corresponding to the statistics' sender IP address

long com.latencybusters.lbm.LBMStatistics.getSource | ( |  | ) |
| inherited

Retrieve the source attribute from the statistics attribute block associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value. Compare return value to LBMMonitor.ATTR_SOURCE_NORMAL and LBMMonitor.ATTR_SOURCE_IM.

Returns
  Sender source flag

DateTime com.latencybusters.lbm.LBMStatistics.getTimestamp | ( |  | ) |
| inherited

Retrieve the timestamp associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  DateTime object

long com.latencybusters.lbm.LBMEventQueueStatistics.ioEvents | ( |  | ) |

Number of I/O events currently enqueued.

Returns
  Number of I/O events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsMaximumServiceTime | ( |  | ) |

Maximum service time for I/O events (in microseconds).

Returns
  Maximum service time for I/O events (in microseconds). This is the high-water mark (i.e., the longest so far) for I/O event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsMeanServiceTime | ( |  | ) |

Mean service time for I/O events (in microseconds).

Returns
  Mean service time for I/O events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated I/O event service durations, measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsMinimumServiceTime | ( |  | ) |

Minimum service time for I/O events (in microseconds).

Returns
  Minimum service time for I/O events (in microseconds). This is the low-water mark (i.e., the shortest so far) for I/O event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated. This field is initialized to all 1s (-1 if printed signed).

long com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsTotal | ( |  | ) |

Total number of I/O events enqueued since last reset.

Returns
  Total accumulated number of I/O events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge | ( |  | ) |

Maximum age of event queue entry when dequeued (in microseconds).

Returns
  Maximum age of event queue entry when dequeued (in microseconds). This is the high-water mark for the measured age of any event or message (i.e., the oldest one so far) from the point of enqueuement until de-queuement. Configuration option queue_age_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.meanAge | ( |  | ) |

Mean age of event queue entry when dequeued (in microseconds).

Returns
  Mean age of event queue entries when dequeued (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated event or message ages (measured from the point enqueuement until de-queuement). Configuration option queue_age_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.minimumAge | ( |  | ) |

Minimum age of event queue entry when dequeued (in microseconds).

Returns
  Minimum age of event queue entry when dequeued (in microseconds). This is the low-water mark for the measured age of any event or message (i.e., the shortest one so far) from the point of enqueuement until de-queuement. Configuration option queue_age_enabled must be activated. This field is initialized to all 1s (-1 if printed signed).

unsafe void com.latencybusters.lbm.LBMEventQueueStatistics.refresh | ( | LBMEventQueue | lbmevq | ) |

Refresh the current set of statistics using the given event queue.

Parameters

  lbmevq | LBMEventQueue object

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

Referenced by com.latencybusters.lbm.LBMEventQueue.getStatistics().

long com.latencybusters.lbm.LBMEventQueueStatistics.responseMessages | ( |  | ) |

Number of response messages currently enqueued.

Returns
  Number of response messages (from receiver objects) currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesMaximumServiceTime | ( |  | ) |

Maximum service time for response messages (in microseconds).

Returns
  Maximum service time for response messages (in microseconds). This is the high-water mark (i.e., the longest so far) for response message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesMeanServiceTime | ( |  | ) |

Mean service time for response messages (in microseconds).

Returns
  Mean service time for response messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated response message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesMinimumServiceTime | ( |  | ) |

Minimum service time for response messages (in microseconds).

Returns
  Minimum service time for response messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for response message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated. This field is initialized to all 1s (-1 if printed signed).

long com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesTotal | ( |  | ) |

Total number of response messages enqueued since last reset.

Returns
  Total accumulated number of response messages that have been added to the event queue (even if subsequently de-queued) since last reset.

long com.latencybusters.lbm.LBMEventQueueStatistics.sourceEvents | ( |  | ) |

Number of source events currently enqueued.

Returns
  Number of source events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsMaximumServiceTime | ( |  | ) |

Maximum service time for source events (in microseconds).

Returns
  Maximum service time for source events (in microseconds). This is the high-water mark (i.e., the longest so far) for source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsMeanServiceTime | ( |  | ) |

Mean service time for source events (in microseconds).

Returns
  Mean service time for source events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated source event service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsMinimumServiceTime | ( |  | ) |

Minimum service time for source events (in microseconds).

Returns
  Minimum service time for source events (in microseconds). This is the low-water mark (i.e., the shortest so far) for source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated. This field is initialized to all 1s (-1 if printed signed).

long com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsTotal | ( |  | ) |

Total number of source events enqueued since last reset.

Returns
  Total accumulated number of source events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.timerEvents | ( |  | ) |

Number of timer events currently enqueued.

Returns
  Number of timer events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsMaximumServiceTime | ( |  | ) |

Maximum service time for timer events (in microseconds).

Returns
  Maximum service time for timer events (in microseconds). This is the high-water mark (i.e., the longest so far) for timer event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsMeanServiceTime | ( |  | ) |

Mean service time for timer events (in microseconds).

Returns
  Mean service time for timer events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated timer event service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsMinimumServiceTime | ( |  | ) |

Minimum service time for timer events (in microseconds).

Returns
  Minimum service time for timer events (in microseconds). This is the low-water mark (i.e., the shortest so far) for timer event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated. This field is initialized to all 1s (-1 if printed signed).

long com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsTotal | ( |  | ) |

Total number of timer events enqueued since last reset.

Returns
  Total accumulated number of timer events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessages | ( |  | ) |

Number of topic-less immediate messages currently enqueued.

Returns
  Number of topic-less Multicast Immediate Messaging (MIM) messages currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesMaximumServiceTime | ( |  | ) |

Maximum service time for topic-less immediate messages (in microseconds).

Returns
  Maximum service time for topic-less Multicast Immediate Messaging (MIM) messages (in microseconds). This is the high-water mark (i.e., the longest so far) for topic-less MIM message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesMeanServiceTime | ( |  | ) |

Mean service time for topic-less immediate messages (in microseconds).

Returns
  Mean service time for topic-less Multicast Immediate Messaging (MIM) messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated topic-less MIM message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesMinimumServiceTime | ( |  | ) |

Minimum service time for topic-less immediate messages (in microseconds).

Returns
  Minimum service time for topic-less Multicast Immediate Messaging (MIM) messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for topic-less MIM message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated. This field is initialized to all 1s (-1 if printed signed).

long com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesTotal | ( |  | ) |

Total number of topic-less immediate messages enqueued since last reset.

Returns
  Total accumulated number of topic-less Multicast Immediate Messaging (MIM) messages that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.unblockEvents | ( |  | ) |

Number of unblock events currently enqueued.

Returns
  Number of unblock events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.unblockEventsTotal | ( |  | ) |

Total number of unblock events enqueued since last reset.

Returns
  Total accumulated number of unblock events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessages | ( |  | ) |

Number of wildcard receiver messages currently enqueued.

Returns
  Number of wildcard receiver messages currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesMaximumServiceTime | ( |  | ) |

Maximum service time for wildcard receiver messages (in microseconds).

Returns
  Maximum service time for wildcard receiver messages (in microseconds). This is the high-water mark (i.e., the longest so far) for wildcard receiver message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesMeanServiceTime | ( |  | ) |

Mean service time for wildcard receiver messages (in microseconds).

Returns
  Mean service time for wildcard receiver messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated wildcard receiver message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

long com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesMinimumServiceTime | ( |  | ) |

Minimum service time for wildcard receiver messages (in microseconds).

Returns
  Minimum service time for wildcard receiver messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for wildcard receiver message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated. This field is initialized to all 1s (-1 if printed signed).

long com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesTotal | ( |  | ) |

Total number of wildcard receiver messages enqueued since last reset.

Returns
  Total accumulated number of wildcard receiver messages that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

The documentation for this class was generated from the following file:

- LBMEventQueueStatistics.cs